<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilitiesDelegate/src/CapabilitiesDelegate.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_924a657fe36215a0159270de1b610651.html">CapabilitiesDelegate</a></li><li class="navelem"><a class="el" href="dir_f14574f3da14ef94e1b0e15a21513161.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">CapabilitiesDelegate.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_capabilities_delegate_8h_source.html">CapabilitiesDelegate/CapabilitiesDelegate.h</a>&quot;</code><br />
<code>#include &lt;iomanip&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;unordered_set&gt;</code><br />
<code>#include &lt;curl/curl.h&gt;</code><br />
<code>#include &lt;rapidjson/document.h&gt;</code><br />
<code>#include &lt;rapidjson/error/en.h&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;<a class="el" href="_transport_defines_8h_source.html">ACL/Transport/TransportDefines.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_capability_configuration_8h_source.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_auth_delegate_interface_8h_source.html">AVSCommon/SDKInterfaces/AuthDelegateInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_misc_storage_interface_8h_source.html">AVSCommon/SDKInterfaces/Storage/MiscStorageInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_device_info_8h_source.html">AVSCommon/Utils/DeviceInfo.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_http_response_code_8h_source.html">AVSCommon/Utils/HTTP/HttpResponseCode.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_logger_8h_source.html">AVSCommon/Utils/Logger/Logger.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_http_put_interface_8h_source.html">AVSCommon/Utils/LibcurlUtils/HttpPutInterface.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_h_t_t_p_response_8h_source.html">AVSCommon/Utils/LibcurlUtils/HTTPResponse.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_libcurl_utils_8h_source.html">AVSCommon/Utils/LibcurlUtils/LibcurlUtils.h</a>&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for CapabilitiesDelegate.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_capabilities_delegate_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capabilities_delegate_2src_2_capabilities_delegate_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capabilities_delegate_2src_2_capabilities_delegate_8cpp" id="_2workplace_2avs-device-sdk_2_capabilities_delegate_2src_2_capabilities_delegate_8cpp">
<area shape="rect" id="node2" href="_capabilities_delegate_8h.html" title="CapabilitiesDelegate\l/CapabilitiesDelegate.h" alt="" coords="1330,192,1489,231"/>
<area shape="rect" id="node9" href="_auth_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthDelegateInterface.h" alt="" coords="546,279,737,317"/>
<area shape="rect" id="node13" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="144,452,336,491"/>
<area shape="rect" id="node16" href="_misc_storage_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Storage/MiscStorageInterface.h" alt="" coords="2392,279,2605,317"/>
<area shape="rect" id="node17" href="_device_info_8h.html" title="AVSCommon/Utils/DeviceInfo.h" alt="" coords="2904,285,3112,311"/>
<area shape="rect" id="node30" href="_http_put_interface_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/HttpPutInterface.h" alt="" coords="2630,279,2829,317"/>
<area shape="rect" id="node31" href="_h_t_t_p_response_8h.html" title="HTTPResponse.h" alt="" coords="2767,372,2894,397"/>
<area shape="rect" id="node40" href="_transport_defines_8h.html" title="ACL/Transport/TransportDefines.h" alt="" coords="3803,199,4027,224"/>
<area shape="rect" id="node42" href="_http_response_code_8h.html" title="AVSCommon/Utils/HTTP\l/HttpResponseCode.h" alt="" coords="4297,105,4466,144"/>
<area shape="rect" id="node44" href="_logger_8h.html" title="AVSCommon/Utils/Logger\l/Logger.h" alt="" coords="3568,279,3744,317"/>
<area shape="rect" id="node50" href="_libcurl_utils_8h.html" title="AVSCommon/Utils/LibcurlUtils\l/LibcurlUtils.h" alt="" coords="2688,105,2888,144"/>
<area shape="rect" id="node10" href="_auth_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/AuthObserverInterface.h" alt="" coords="297,365,487,404"/>
<area shape="rect" id="node12" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="511,365,737,404"/>
<area shape="rect" id="node14" href="_capabilities_delegate_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesDelegateInterface.h" alt="" coords="863,279,1073,317"/>
<area shape="rect" id="node15" href="_capabilities_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilitiesObserverInterface.h" alt="" coords="811,365,1023,404"/>
<area shape="rect" id="node23" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="1732,279,1927,317"/>
<area shape="rect" id="node32" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="2201,365,2389,404"/>
<area shape="rect" id="node33" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="1249,365,1417,404"/>
<area shape="rect" id="node34" href="_customer_data_manager_8h.html" title="RegistrationManager\l/CustomerDataManager.h" alt="" coords="1198,279,1372,317"/>
<area shape="rect" id="node18" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="3372,365,3586,404"/>
<area shape="rect" id="node29" href="_task_thread_8h.html" title="AVSCommon/Utils/Threading\l/TaskThread.h" alt="" coords="1932,365,2127,404"/>
<area shape="rect" id="node41" href="_retry_timer_8h.html" title="AVSCommon/Utils/RetryTimer.h" alt="" coords="3983,372,4193,397"/>
<area shape="rect" id="node43" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="4143,192,4319,231"/>
<area shape="rect" id="node46" href="_level_8h.html" title="AVSCommon/Utils/Logger\l/Level.h" alt="" coords="3585,452,3761,491"/>
<area shape="rect" id="node47" href="_log_entry_8h.html" title="AVSCommon/Utils/Logger\l/LogEntry.h" alt="" coords="4268,365,4444,404"/>
<area shape="rect" id="node48" href="_log_level_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/LogLevelObserverInterface.h" alt="" coords="3711,365,3908,404"/>
<area shape="rect" id="node49" href="_sink_observer_interface_8h.html" title="AVSCommon/Utils/Logger\l/SinkObserverInterface.h" alt="" coords="3020,365,3196,404"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capabilities_delegate"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html">alexaClientSDK::capabilitiesDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_capabilities_delegate_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7994b69b92600496f1bcfd259b7df51e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7994b69b92600496f1bcfd259b7df51e">alexaClientSDK::capabilitiesDelegate::TAG</a> (&quot;CapabilitiesDelegate&quot;)</td></tr>
<tr class="memdesc:a7994b69b92600496f1bcfd259b7df51e"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7994b69b92600496f1bcfd259b7df51e">More...</a><br /></td></tr>
<tr class="separator:a7994b69b92600496f1bcfd259b7df51e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79ddffdfaa42e4687bad6b7d4e030b7a"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a79ddffdfaa42e4687bad6b7d4e030b7a">alexaClientSDK::capabilitiesDelegate::getCapabilityKey</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap)</td></tr>
<tr class="separator:a79ddffdfaa42e4687bad6b7d4e030b7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8376d9a78b32f834b977d36aa46170da"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a8376d9a78b32f834b977d36aa46170da">alexaClientSDK::capabilitiesDelegate::capabilityMapFormCheckHelper</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap, const std::string &amp;findKey, const std::string &amp;errorEvent, const std::string &amp;errorReasonKey, const std::string &amp;errorReasonValue)</td></tr>
<tr class="separator:a8376d9a78b32f834b977d36aa46170da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5bfd01604eca48ca1c1ad1ec24c285c5"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a5bfd01604eca48ca1c1ad1ec24c285c5">alexaClientSDK::capabilitiesDelegate::isCapabilityMapCorrectlyFormed</a> (const std::unordered_map&lt; std::string, std::string &gt; &amp;capabilityMap)</td></tr>
<tr class="separator:a5bfd01604eca48ca1c1ad1ec24c285c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7595c20a2b931a7da18ca55b0a1e225a"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7595c20a2b931a7da18ca55b0a1e225a">alexaClientSDK::capabilitiesDelegate::getErrorMsgFromHttpResponse</a> (const std::string &amp;httpResponse)</td></tr>
<tr class="separator:a7595c20a2b931a7da18ca55b0a1e225a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19184d45c1943060d4b783d0b2167050"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a19184d45c1943060d4b783d0b2167050">alexaClientSDK::capabilitiesDelegate::getCapabilityInfoStringFromJson</a> (const rapidjson::Value &amp;capabilityJson, const std::string &amp;jsonMemberKey)</td></tr>
<tr class="separator:a19184d45c1943060d4b783d0b2167050"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab223445d3564ddc18cf87f210fa1c86a"><td class="memItemLeft" align="right" valign="top">static std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab223445d3564ddc18cf87f210fa1c86a">alexaClientSDK::capabilitiesDelegate::getCapabilityConfigsStringFromJson</a> (const rapidjson::Value &amp;capabilityJson)</td></tr>
<tr class="separator:ab223445d3564ddc18cf87f210fa1c86a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c612dbb7c5b63ab393cf744a7e15630"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7c612dbb7c5b63ab393cf744a7e15630">alexaClientSDK::capabilitiesDelegate::getStringFromJson</a> (const rapidjson::Value &amp;jsonValue, std::string *jsonString)</td></tr>
<tr class="separator:a7c612dbb7c5b63ab393cf744a7e15630"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4994f0c85beeb1cc0e64d6433b19011"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#af4994f0c85beeb1cc0e64d6433b19011">alexaClientSDK::capabilitiesDelegate::getJsonFromString</a> (const std::string &amp;jsonString, rapidjson::Value::AllocatorType &amp;allocator, rapidjson::Value *jsonValue)</td></tr>
<tr class="separator:af4994f0c85beeb1cc0e64d6433b19011"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04686085548447a1821baa45b5016b05"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a04686085548447a1821baa45b5016b05">alexaClientSDK::capabilitiesDelegate::logFailedSaveAndClearCapabilitiesPublishTable</a> (const std::shared_ptr&lt; MiscStorageInterface &gt; &amp;miscStorage)</td></tr>
<tr class="separator:a04686085548447a1821baa45b5016b05"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9a14cca14664c98478e0963405f5a57e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a9a14cca14664c98478e0963405f5a57e">alexaClientSDK::capabilitiesDelegate::CONFIG_KEY_CAPABILITIES_DELEGATE</a> = &quot;capabilitiesDelegate&quot;</td></tr>
<tr class="memdesc:a9a14cca14664c98478e0963405f5a57e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of <code>ConfigurationNode</code> for <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a9a14cca14664c98478e0963405f5a57e">More...</a><br /></td></tr>
<tr class="separator:a9a14cca14664c98478e0963405f5a57e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a633dadd6e68d64af3de1cae217423f3d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a633dadd6e68d64af3de1cae217423f3d">alexaClientSDK::capabilitiesDelegate::CONFIG_KEY_OVERRIDE_CAPABILITIES_API_REQUEST_BODY</a> = &quot;overridenCapabilitiesPublishMessageBody&quot;</td></tr>
<tr class="memdesc:a633dadd6e68d64af3de1cae217423f3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of overridenCapabilitiesPublishMessageBody value in <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>'s <code>ConfigurationNode</code>.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a633dadd6e68d64af3de1cae217423f3d">More...</a><br /></td></tr>
<tr class="separator:a633dadd6e68d64af3de1cae217423f3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79e9d9ca4183d4da7ee1e348dc8ad58f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a79e9d9ca4183d4da7ee1e348dc8ad58f">alexaClientSDK::capabilitiesDelegate::CONFIG_KEY_CAPABILITIES_API_ENDPOINT</a> = &quot;endpoint&quot;</td></tr>
<tr class="memdesc:a79e9d9ca4183d4da7ee1e348dc8ad58f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of endpoint value in <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1_capabilities_delegate.html">CapabilitiesDelegate</a>'s <code>ConfigurationNode</code>.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a79e9d9ca4183d4da7ee1e348dc8ad58f">More...</a><br /></td></tr>
<tr class="separator:a79e9d9ca4183d4da7ee1e348dc8ad58f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05d2869aad60b9f0bccffca1537d383a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a05d2869aad60b9f0bccffca1537d383a">alexaClientSDK::capabilitiesDelegate::DEFAULT_CAPABILITIES_API_ENDPOINT</a> = &quot;https://api.amazonalexa.com&quot;</td></tr>
<tr class="separator:a05d2869aad60b9f0bccffca1537d383a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a497f946d8b019f27c2238f92370dde2c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a497f946d8b019f27c2238f92370dde2c">alexaClientSDK::capabilitiesDelegate::CAPABILITIES_API_URL_PRE_DEVICE_SUFFIX</a> = &quot;/v1/devices/&quot;</td></tr>
<tr class="memdesc:a497f946d8b019f27c2238f92370dde2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suffix before the device's place in the URL.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a497f946d8b019f27c2238f92370dde2c">More...</a><br /></td></tr>
<tr class="separator:a497f946d8b019f27c2238f92370dde2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa14d1b6bd80ac925a055b12a59b76b03"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#aa14d1b6bd80ac925a055b12a59b76b03">alexaClientSDK::capabilitiesDelegate::CAPABILITIES_API_URL_POST_DEVICE_SUFFIX</a> = &quot;/capabilities&quot;</td></tr>
<tr class="memdesc:aa14d1b6bd80ac925a055b12a59b76b03"><td class="mdescLeft">&#160;</td><td class="mdescRight">Suffix after the device's place in the URL.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#aa14d1b6bd80ac925a055b12a59b76b03">More...</a><br /></td></tr>
<tr class="separator:aa14d1b6bd80ac925a055b12a59b76b03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdfa568c2c58e517683c203d981725e2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#acdfa568c2c58e517683c203d981725e2">alexaClientSDK::capabilitiesDelegate::SELF_DEVICE</a> = &quot;@self&quot;</td></tr>
<tr class="memdesc:acdfa568c2c58e517683c203d981725e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Device ID for the device that will show up in the URL.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#acdfa568c2c58e517683c203d981725e2">More...</a><br /></td></tr>
<tr class="separator:acdfa568c2c58e517683c203d981725e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab37e5f20ea4bb9edfcf216048c34f3f0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab37e5f20ea4bb9edfcf216048c34f3f0">alexaClientSDK::capabilitiesDelegate::CONTENT_TYPE_HEADER_KEY</a> = &quot;Content-Type&quot;</td></tr>
<tr class="separator:ab37e5f20ea4bb9edfcf216048c34f3f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7873388e6702795569ef29e11e4d382d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7873388e6702795569ef29e11e4d382d">alexaClientSDK::capabilitiesDelegate::CONTENT_TYPE_HEADER_VALUE</a> = &quot;application/json&quot;</td></tr>
<tr class="memdesc:a7873388e6702795569ef29e11e4d382d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content type header value.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7873388e6702795569ef29e11e4d382d">More...</a><br /></td></tr>
<tr class="separator:a7873388e6702795569ef29e11e4d382d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7720cfc8f4db5f2d4a4cdcc00558c499"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7720cfc8f4db5f2d4a4cdcc00558c499">alexaClientSDK::capabilitiesDelegate::CONTENT_LENGTH_HEADER_KEY</a> = &quot;Content-Length&quot;</td></tr>
<tr class="memdesc:a7720cfc8f4db5f2d4a4cdcc00558c499"><td class="mdescLeft">&#160;</td><td class="mdescRight">Content length header key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7720cfc8f4db5f2d4a4cdcc00558c499">More...</a><br /></td></tr>
<tr class="separator:a7720cfc8f4db5f2d4a4cdcc00558c499"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f99b3d69e0c6d13f8b699d0777b036a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7f99b3d69e0c6d13f8b699d0777b036a">alexaClientSDK::capabilitiesDelegate::AUTHORIZATION_HEADER_KEY</a> = &quot;x-amz-access-token&quot;</td></tr>
<tr class="memdesc:a7f99b3d69e0c6d13f8b699d0777b036a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Auth token header key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7f99b3d69e0c6d13f8b699d0777b036a">More...</a><br /></td></tr>
<tr class="separator:a7f99b3d69e0c6d13f8b699d0777b036a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c2841b324335dcce2be7831c441697f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7c2841b324335dcce2be7831c441697f">alexaClientSDK::capabilitiesDelegate::ACCEPT_HEADER_KEY</a> = &quot;Accept&quot;</td></tr>
<tr class="memdesc:a7c2841b324335dcce2be7831c441697f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Accept header key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a7c2841b324335dcce2be7831c441697f">More...</a><br /></td></tr>
<tr class="separator:a7c2841b324335dcce2be7831c441697f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a834ee3c7a72c0fc8602b257f1c786812"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a834ee3c7a72c0fc8602b257f1c786812">alexaClientSDK::capabilitiesDelegate::EXPECT_HEADER_KEY</a> = &quot;Expect&quot;</td></tr>
<tr class="memdesc:a834ee3c7a72c0fc8602b257f1c786812"><td class="mdescLeft">&#160;</td><td class="mdescRight">Expect header key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a834ee3c7a72c0fc8602b257f1c786812">More...</a><br /></td></tr>
<tr class="separator:a834ee3c7a72c0fc8602b257f1c786812"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4ab5340bf1a2ec64805368cc51080c4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ae4ab5340bf1a2ec64805368cc51080c4">alexaClientSDK::capabilitiesDelegate::ENVELOPE_VERSION_KEY</a> = &quot;envelopeVersion&quot;</td></tr>
<tr class="memdesc:ae4ab5340bf1a2ec64805368cc51080c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version key in message body.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ae4ab5340bf1a2ec64805368cc51080c4">More...</a><br /></td></tr>
<tr class="separator:ae4ab5340bf1a2ec64805368cc51080c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a042946d82d1037758819ad8478993a96"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a042946d82d1037758819ad8478993a96">alexaClientSDK::capabilitiesDelegate::ENVELOPE_VERSION_VALUE</a> = &quot;20160207&quot;</td></tr>
<tr class="memdesc:a042946d82d1037758819ad8478993a96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version value in message body.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a042946d82d1037758819ad8478993a96">More...</a><br /></td></tr>
<tr class="separator:a042946d82d1037758819ad8478993a96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf7675a584d0cd02f7e94dc399c6882f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#adf7675a584d0cd02f7e94dc399c6882f">alexaClientSDK::capabilitiesDelegate::CAPABILITIES_KEY</a> = &quot;capabilities&quot;</td></tr>
<tr class="memdesc:adf7675a584d0cd02f7e94dc399c6882f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Capabilities key in message body.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#adf7675a584d0cd02f7e94dc399c6882f">More...</a><br /></td></tr>
<tr class="separator:adf7675a584d0cd02f7e94dc399c6882f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed97f84b5fa31a75bfaeb06345cbd1a5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#aed97f84b5fa31a75bfaeb06345cbd1a5">alexaClientSDK::capabilitiesDelegate::HTTP_RESPONSE_ERROR_VALUE</a> = &quot;message&quot;</td></tr>
<tr class="memdesc:aed97f84b5fa31a75bfaeb06345cbd1a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constant for HTTP 400 response json.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#aed97f84b5fa31a75bfaeb06345cbd1a5">More...</a><br /></td></tr>
<tr class="separator:aed97f84b5fa31a75bfaeb06345cbd1a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33877510a3e3fcc3aecbb99513976297"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a33877510a3e3fcc3aecbb99513976297">alexaClientSDK::capabilitiesDelegate::CAPABILITY_KEY_SEPARATOR</a> = &quot;.&quot;</td></tr>
<tr class="memdesc:a33877510a3e3fcc3aecbb99513976297"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between the components that make up a capability key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a33877510a3e3fcc3aecbb99513976297">More...</a><br /></td></tr>
<tr class="separator:a33877510a3e3fcc3aecbb99513976297"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f9f6e77941bb36d1c1d014b06be3f89"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a9f9f6e77941bb36d1c1d014b06be3f89">alexaClientSDK::capabilitiesDelegate::HEADER_KEY_VALUE_SEPARATOR</a> = &quot;:&quot;</td></tr>
<tr class="memdesc:a9f9f6e77941bb36d1c1d014b06be3f89"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between header key and value.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a9f9f6e77941bb36d1c1d014b06be3f89">More...</a><br /></td></tr>
<tr class="separator:a9f9f6e77941bb36d1c1d014b06be3f89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86f782bf20a6aaab58c80a8475f9be7a"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a86f782bf20a6aaab58c80a8475f9be7a">alexaClientSDK::capabilitiesDelegate::DB_KEY_ENDPOINT</a> = &quot;endpoint:&quot;</td></tr>
<tr class="separator:a86f782bf20a6aaab58c80a8475f9be7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95416fcf28431b77a5421c945e06f182"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a95416fcf28431b77a5421c945e06f182">alexaClientSDK::capabilitiesDelegate::DB_KEY_CLIENT_ID</a> = &quot;clientId:&quot;</td></tr>
<tr class="memdesc:a95416fcf28431b77a5421c945e06f182"><td class="mdescLeft">&#160;</td><td class="mdescRight">Client id key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a95416fcf28431b77a5421c945e06f182">More...</a><br /></td></tr>
<tr class="separator:a95416fcf28431b77a5421c945e06f182"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ccac16abae804c392253e9ff244e85d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a0ccac16abae804c392253e9ff244e85d">alexaClientSDK::capabilitiesDelegate::DB_KEY_PRODUCT_ID</a> = &quot;productId:&quot;</td></tr>
<tr class="memdesc:a0ccac16abae804c392253e9ff244e85d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Product id key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a0ccac16abae804c392253e9ff244e85d">More...</a><br /></td></tr>
<tr class="separator:a0ccac16abae804c392253e9ff244e85d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777c1e10baefa58cf04f7dfe4c3c4ae1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a777c1e10baefa58cf04f7dfe4c3c4ae1">alexaClientSDK::capabilitiesDelegate::DB_KEY_ENVELOPE_VERSION</a> = &quot;envelopeVersion:&quot;</td></tr>
<tr class="memdesc:a777c1e10baefa58cf04f7dfe4c3c4ae1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Envelope version key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a777c1e10baefa58cf04f7dfe4c3c4ae1">More...</a><br /></td></tr>
<tr class="separator:a777c1e10baefa58cf04f7dfe4c3c4ae1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a843f51afe03c337158a89bc4da90779d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a843f51afe03c337158a89bc4da90779d">alexaClientSDK::capabilitiesDelegate::DB_KEY_DSN</a> = &quot;deviceSerialNumber:&quot;</td></tr>
<tr class="memdesc:a843f51afe03c337158a89bc4da90779d"><td class="mdescLeft">&#160;</td><td class="mdescRight">DSN key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a843f51afe03c337158a89bc4da90779d">More...</a><br /></td></tr>
<tr class="separator:a843f51afe03c337158a89bc4da90779d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a611bb9c07bd91396cd614f3552f7cdbd"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a611bb9c07bd91396cd614f3552f7cdbd">alexaClientSDK::capabilitiesDelegate::DB_KEY_PUBLISH_MSG</a> = &quot;publishMsg:&quot;</td></tr>
<tr class="memdesc:a611bb9c07bd91396cd614f3552f7cdbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Message key.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a611bb9c07bd91396cd614f3552f7cdbd">More...</a><br /></td></tr>
<tr class="separator:a611bb9c07bd91396cd614f3552f7cdbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab584cac65812570584ceb6954c0f25e3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab584cac65812570584ceb6954c0f25e3">alexaClientSDK::capabilitiesDelegate::DB_KEY_SEPARATOR</a> = &quot;,&quot;</td></tr>
<tr class="memdesc:ab584cac65812570584ceb6954c0f25e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Separator between keys.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab584cac65812570584ceb6954c0f25e3">More...</a><br /></td></tr>
<tr class="separator:ab584cac65812570584ceb6954c0f25e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad071e9c77b65e170ed4452b7767c268f"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ad071e9c77b65e170ed4452b7767c268f">alexaClientSDK::capabilitiesDelegate::CAPABILITY_MAP_REQUIRED_ENTRIES</a> = 3</td></tr>
<tr class="separator:ad071e9c77b65e170ed4452b7767c268f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3e60e9f258325c05d8f3dcb8c9064a3"><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#af3e60e9f258325c05d8f3dcb8c9064a3">alexaClientSDK::capabilitiesDelegate::CAPABILITY_MAP_MAXIMUM_ENTRIES</a> = 4</td></tr>
<tr class="memdesc:af3e60e9f258325c05d8f3dcb8c9064a3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maximum number of entries in capability map.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#af3e60e9f258325c05d8f3dcb8c9064a3">More...</a><br /></td></tr>
<tr class="separator:af3e60e9f258325c05d8f3dcb8c9064a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2535b7f5294126d15c4e12f4f369406"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab2535b7f5294126d15c4e12f4f369406">alexaClientSDK::capabilitiesDelegate::COMPONENT_NAME</a> = &quot;capabilitiesDelegate&quot;</td></tr>
<tr class="memdesc:ab2535b7f5294126d15c4e12f4f369406"><td class="mdescLeft">&#160;</td><td class="mdescRight">Component name needed for Misc DB.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#ab2535b7f5294126d15c4e12f4f369406">More...</a><br /></td></tr>
<tr class="separator:ab2535b7f5294126d15c4e12f4f369406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0591fba775fac253f593c1e6d47a8f4f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a0591fba775fac253f593c1e6d47a8f4f">alexaClientSDK::capabilitiesDelegate::CAPABILITIES_PUBLISH_TABLE</a> = &quot;capabilitiesPublishMessage&quot;</td></tr>
<tr class="memdesc:a0591fba775fac253f593c1e6d47a8f4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Capabilities publish message table.  <a href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html#a0591fba775fac253f593c1e6d47a8f4f">More...</a><br /></td></tr>
<tr class="separator:a0591fba775fac253f593c1e6d47a8f4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
